# std::filesystem::directory_entry::file_size

From cppreference.com
< cpp‎ | filesystem‎ | directory entry

std::uintmax_t file_size() const; std::uintmax_t file_size( std::error_code & ec ) const noexcept; |  | (since C++17)

If the file size is cached in this `directory_entry`, returns the cached value. Otherwise, returns std::filesystem::file_size(path()) or std::filesystem::file_size(path(), ec), respectively

### Parameters

ec | - | out-parameter for error reporting in the non-throwing overload

### Return value

The size of the referred-to filesystem object

### Exceptions

The overload that does not take a std::error_code & parameter throws `filesystem_error` on underlying OS API errors, constructed with `p` as the first path argument and the OS error code as the error code argument. The overload taking a std::error_code & parameter sets it to the OS API error code if an OS API call fails, and executes ec.clear() if no errors occur. Any overload not marked `noexcept` may throw std::bad_alloc if memory allocation fails.

### Example

| This section is incomplete Reason: no example

### See also

file_size (C++17) | returns the size of a file (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_entry/file_size&oldid=105001"